Bug 172725 - japanese/skk-tools: Fix build with clang
Summary: japanese/skk-tools: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-15 19:10 UTC by tkato432
Modified: 2013-03-29 01:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.95 KB, patch)
2012-10-15 19:10 UTC, tkato432
no flags Details | Diff
japanese_skk-tools.diff.uue (4.03 KB, application/octet-stream)
2013-03-13 17:56 UTC, tkato432
no flags Details
japanese_skk-tools.diff.uue (4.24 KB, application/octet-stream)
2013-03-27 17:55 UTC, tkato432
no flags Details
file.dat (215 bytes, text/plain; charset="us-ascii")
2013-03-29 01:07 UTC, dfilter service
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-10-15 19:10:03 UTC
- Fix build with clang

New file:
files/patch-skkdic-expr.c
Comment 1 Edwin Groothuis freebsd_committer 2012-10-15 19:10:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-10-29 09:40:18 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 3 Marcelo Araujo freebsd_committer 2012-12-11 13:04:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 4 tkato432 2013-03-13 17:56:41 UTC
Remake of the patch against current tree.
Comment 5 tkato432 2013-03-27 17:55:58 UTC
Remake of the patch against current tree.
Comment 6 Martin Wilke freebsd_committer 2013-03-29 01:06:29 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 7 Martin Wilke freebsd_committer 2013-03-29 01:06:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-03-29 01:07:11 UTC
Author: miwi
Date: Fri Mar 29 01:06:58 2013
New Revision: 315514
URL: http://svnweb.freebsd.org/changeset/ports/315514

Log:
  - Fix build
  
  PR:		172725
  Submitted by:	ports fury

Added:
  head/japanese/skk-tools/files/
  head/japanese/skk-tools/files/patch-skkdic-expr.c   (contents, props changed)
Modified:
  head/japanese/skk-tools/Makefile   (contents, props changed)

Modified: head/japanese/skk-tools/Makefile
==============================================================================
--- head/japanese/skk-tools/Makefile	Fri Mar 29 00:59:45 2013	(r315513)
+++ head/japanese/skk-tools/Makefile	Fri Mar 29 01:06:58 2013	(r315514)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	skk-tools
-# Date created:		31 Oct 1998
-# Whom:			Shigeyuki FUKUSHIMA <shige@kuis.kyoto-u.ac.jp>
-#
+# Created by: Shigeyuki FUKUSHIMA <shige@kuis.kyoto-u.ac.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	skk-tools
 PORTVERSION=	1.3.2
@@ -22,7 +18,6 @@ OPTIONS_DEFINE=	EXPR2
 OPTIONS_DEFAULT=	EXPR2
 EXPR2_DESC=	Build skkdic-expr2 (needs glib-2.x)
 
-USE_GCC=	any
 GNU_CONFIGURE=	yes
 MAKE_JOBS_SAFE=	yes
 
@@ -35,6 +30,7 @@ PLIST_FILES=	bin/skkdic-count bin/skkdic
 
 .if ${PORT_OPTIONS:MEXPR2}
 USE_GNOME=	glib20
+USE_PKGCONFIG=	build
 PORTDOCS+=	README.skkdic-expr2
 PLIST_FILES+=	bin/skkdic-expr2
 .else

Added: head/japanese/skk-tools/files/patch-skkdic-expr.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/skk-tools/files/patch-skkdic-expr.c	Fri Mar 29 01:06:58 2013	(r315514)
@@ -0,0 +1,83 @@
+--- skkdic-expr.c.orig	2011-04-11 04:42:08.000000000 +0900
++++ skkdic-expr.c	2012-10-13 05:40:10.000000000 +0900
+@@ -336,7 +336,7 @@
+ 
+     /* ¸ìÈø¤òtkey¤Ë¥³¥Ô¡¼ */
+     for (p = headtop; *s != '/'; s++, p++) {
+-	if (*s < 0x20) return;
++	if (*s < 0x20) return 0;
+ 	*p = *s;
+     }
+     tkey.dsize = p - keybuf;
+@@ -344,12 +344,12 @@
+     /* ¸ì´´Éôʬ¤òcontent¤Ë¥³¥Ô¡¼¤¹¤ë */
+     p = content; 
+     for( ; *s != ']'; s++, p++) {
+-	if (*s < 0x20) return;
++	if (*s < 0x20) return 0;
+ 	*p = *s;
+     }
+     *p = '\0';
+     if (*++s != '/') 
+-	return ;		/* ¥Õ¥©¡¼¥Þ¥Ã¥È¥¨¥é¡¼ */
++	return 0;		/* ¥Õ¥©¡¼¥Þ¥Ã¥È¥¨¥é¡¼ */
+     
+     /* ¸Å¤¤¤â¤Î¤ÈÈæ¤Ù¤ÆɬÍפʤéappend */
+     otails = dbm_fetch(okuriheaddb, tkey);
+@@ -555,7 +555,7 @@
+ 
+     /* ¸ìÈø¤òtkey¤Ë¥³¥Ô¡¼ */ 
+     for (p = headtop; *s != '/'; s++, p++) {
+-	if (*s < 0x20) return;
++	if (*s < 0x20) return 0;
+ 	*p = *s;
+     }
+     tkey.dsize = p - keybuf;
+@@ -563,12 +563,12 @@
+     /* ¸ì´´Éôʬ¤òcontent¤Ë¥³¥Ô¡¼¤¹¤ë */
+     p = content; 
+     for( ; *s != ']'; s++, p++) {
+-	if (*s < 0x20) return;
++	if (*s < 0x20) return 0;
+ 	*p = *s;
+     }
+     *p = '\0';
+     if (*++s != '/') 
+-	return ;		/* ¥Õ¥©¡¼¥Þ¥Ã¥È¥¨¥é¡¼ */
++	return 0;		/* ¥Õ¥©¡¼¥Þ¥Ã¥È¥¨¥é¡¼ */
+     
+     /* ¸Å¤¤¤â¤Î¤ÈÈæ¤Ù¤ÆɬÍפʤéreplace/delete */
+     otails = dbm_fetch(okuriheaddb, tkey);
+@@ -600,12 +600,12 @@
+ 			goto next;
+ 		    }
+ 		}
+-		return;
++		return 0;
+ 	    }
+ 	}
+       next:;
+     }
+-    return;
++    return 0;
+ }
+ 
+ static void
+@@ -708,7 +708,7 @@
+ 
+     tails = dbm_fetch(okuritaildb, tkey);
+     if (tails.dptr == NULL)  {
+-	return;
++	return 0;
+     } else {
+ 	fseek(dbcontent, getpos(tails.dptr), 0);
+ 	db_gets(tail_content, BLEN, dbcontent);
+@@ -717,7 +717,7 @@
+ 	for(e = s; e[1] != '\0'; s = e + 2) {
+ 	    for (e = s; *e != '/'; e++)
+ 		if (*e < 0x20) 
+-		    return;
++		    return 0;
+ 
+ 	    strncpy(headtop, s, e - s);
+ 	    tkey.dsize = (headtop - keybuf) + (e - s);